Debian Bug report logs - #667418
wvstreams: ftbfs with GCC-4.7

version graph

Package: wvstreams; Maintainer for wvstreams is Debian QA Group <packages@qa.debian.org>;

Reported by: Matthias Klose <doko@debian.org>

Date: Tue, 3 Apr 2012 23:41:58 UTC

Severity: important

Tags: patch, sid, wheezy

Found in version 4.6.1-2

Fixed in version wvstreams/4.6.1-3

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian QA Group <packages@qa.debian.org>:
Bug#667418; Package wvstreams. (Tue, 03 Apr 2012 23:42:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Debian QA Group <packages@qa.debian.org>. (Tue, 03 Apr 2012 23:42:01 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: wvstreams: ftbfs with GCC-4.7
Date: Tue, 03 Apr 2012 23:13:18 +0000
Package: wvstreams
Version: 4.6.1-2
Severity: important
Tags: sid wheezy
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.7

The package fails to build in a test rebuild on at least amd64 with
gcc-4.7/g++-4.7, but succeeds to build with gcc-4.6/g++-4.6. The
severity of this report may be raised before the wheezy release.

utils/wvuid.cc:63:19: error: 'getuid' was not declared in this scope

The full build log can be found at:
http://people.debian.org/~lucas/logs/2012/03/29-clang-gcc47/unstable-gcc47/wvstreams_4.6.1-2_unstable-gcc47.log
The last lines of the build log are at the end of this report.

Some hints on fixing these issues can be found at
http://gcc.gnu.org/gcc-4.7/porting_to.html

To build with GCC 4.7, either set CC=gcc-4.7 CXX=g++-4.7 explicitly,
or install the gcc, g++, gfortran, ... packages from experimental.

[...]
./CXX -c utils/wvbase64   
./CXX -c utils/wvcrash   
./CXX -c utils/wvdiriter   
./CXX -c utils/wvglob   
./CXX -c utils/wvglobdiriter   
./CXX -c utils/wvgzip   
./CXX -c utils/wvhex   
./CXX -c utils/wvmagiccircle   
./CXX -c utils/wvmatrix   
./CXX -c utils/wvpam   
In file included from utils/wvpam.cc:56:0:
./include/wvaddr.h: In member function 'uint32_t WvIPAddr::addr() const':
./include/wvaddr.h:284:31: warning: dereferencing type-punned pointer will break strict-aliasing rules [-Wstrict-aliasing]
./CXX -c utils/wvrateadjust   
./CXX -c utils/wvserialize   
./CXX -c utils/wvshmzone   
./CXX -c utils/wvstringtable   
./CXX -c utils/wvsubproc   
./CXX -c utils/wvsubprocqueue   
./CXX -c utils/wvsystem   
./CXX -c utils/wvtest   
./CXX -c utils/wvtr1   
./CXX -c utils/wvuid   
utils/wvuid.cc: In function 'wvuid_t wvgetuid()':
utils/wvuid.cc:63:19: error: 'getuid' was not declared in this scope
utils/wvuid.cc:64:1: warning: control reaches end of non-void function [-Wreturn-type]
make[1]: *** [utils/wvuid.o] Error 1
make[1]: Leaving directory `/«PKGBUILDDIR»'
make: *** [build-arch-stamp] Error 2
dpkg-buildpackage: error: debian/rules build-arch gave error exit status 2




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#667418; Package wvstreams. (Sat, 14 Apr 2012 01:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Tagliamonte <tag@pault.ag>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Sat, 14 Apr 2012 01:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 667418@bugs.debian.org (full text, mbox):

From: Paul Tagliamonte <tag@pault.ag>
To: 667418@bugs.debian.org
Cc: control@bugs.debian.org
Subject: patch
Date: Fri, 13 Apr 2012 21:34:27 -0400
[Message part 1 (text/plain, inline)]
tags 667418 + patch
thanks

Patch attached. Just missing a header.
[fix-gcc-4.7-ftbfs-667418.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Paul Tagliamonte <tag@pault.ag> to control@bugs.debian.org. (Sat, 14 Apr 2012 01:36:05 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Fri, 20 Apr 2012 18:51:08 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Fri, 20 Apr 2012 18:51:08 GMT) Full text and rfc822 format available.

Message #17 received at 667418-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 667418-close@bugs.debian.org
Subject: Bug#667418: fixed in wvstreams 4.6.1-3
Date: Fri, 20 Apr 2012 18:48:17 +0000
Source: wvstreams
Source-Version: 4.6.1-3

We believe that the bug you reported is fixed in the latest version of
wvstreams, which is due to be installed in the Debian FTP archive:

libuniconf4.6_4.6.1-3_amd64.deb
  to main/w/wvstreams/libuniconf4.6_4.6.1-3_amd64.deb
libwvstreams-dev_4.6.1-3_amd64.deb
  to main/w/wvstreams/libwvstreams-dev_4.6.1-3_amd64.deb
libwvstreams4.6-base_4.6.1-3_amd64.deb
  to main/w/wvstreams/libwvstreams4.6-base_4.6.1-3_amd64.deb
libwvstreams4.6-doc_4.6.1-3_all.deb
  to main/w/wvstreams/libwvstreams4.6-doc_4.6.1-3_all.deb
libwvstreams4.6-extras_4.6.1-3_amd64.deb
  to main/w/wvstreams/libwvstreams4.6-extras_4.6.1-3_amd64.deb
libwvstreams4.6-qt_4.6.1-3_amd64.deb
  to main/w/wvstreams/libwvstreams4.6-qt_4.6.1-3_amd64.deb
uniconf-tools_4.6.1-3_amd64.deb
  to main/w/wvstreams/uniconf-tools_4.6.1-3_amd64.deb
uniconfd_4.6.1-3_amd64.deb
  to main/w/wvstreams/uniconfd_4.6.1-3_amd64.deb
wvstreams_4.6.1-3.debian.tar.gz
  to main/w/wvstreams/wvstreams_4.6.1-3.debian.tar.gz
wvstreams_4.6.1-3.dsc
  to main/w/wvstreams/wvstreams_4.6.1-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667418@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated wvstreams package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 20 Apr 2012 13:16:59 +0200
Source: wvstreams
Binary: libwvstreams4.6-base libwvstreams4.6-extras libuniconf4.6 libwvstreams4.6-doc libwvstreams4.6-qt libwvstreams-dev uniconfd uniconf-tools
Architecture: source amd64 all
Version: 4.6.1-3
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libuniconf4.6 - C++ network libraries for rapid application development
 libwvstreams-dev - Development libraries and header files for libwvstreams4.6
 libwvstreams4.6-base - C++ network libraries for rapid application development
 libwvstreams4.6-doc - Documentation for WvStreams
 libwvstreams4.6-extras - C++ network libraries for rapid application development
 libwvstreams4.6-qt - WvStreams and Qt Event Integration Library
 uniconf-tools - Tools to interface with UniConf
 uniconfd   - Server that manages UniConf elements
Closes: 667418
Changes: 
 wvstreams (4.6.1-3) unstable; urgency=low
 .
   * QA upload.
   * Fix "ftbfs with GCC-4.7": add patch 06_gcc-4.7.diff from Paul Tagliamonte
     (missing include).
     (Closes: #667418)
Checksums-Sha1: 
 efed429fc78cb83827abeee730f7062bcdf49bf8 2277 wvstreams_4.6.1-3.dsc
 76f1fb8f38a41391b640f2adb773cdb1fcea99ce 14576 wvstreams_4.6.1-3.debian.tar.gz
 b1df4529f8d93d858c73894102ac6b71a86c651e 256846 libwvstreams4.6-base_4.6.1-3_amd64.deb
 d25e1fdc9d5c5ada677e335e82e0c5a52fd0c219 503884 libwvstreams4.6-extras_4.6.1-3_amd64.deb
 e4708ef73cea3829444f6e60ba4d96a90343a3cf 179552 libuniconf4.6_4.6.1-3_amd64.deb
 9835d80faa440f97da21b8e9bf0b28b407e6d07a 69812 libwvstreams4.6-qt_4.6.1-3_amd64.deb
 f61018f4835bc7181265cbb821f776758e5fcd63 1571246 libwvstreams-dev_4.6.1-3_amd64.deb
 777b59da3889bd1d09fa778b62cc848a8b62910a 74638 uniconfd_4.6.1-3_amd64.deb
 8e0451d794d9fc6e92e874d509a7de05b25463c5 67528 uniconf-tools_4.6.1-3_amd64.deb
 746929ff1fa5bf7fa4b34eae7076e1f7bbf9f9c9 5255042 libwvstreams4.6-doc_4.6.1-3_all.deb
Checksums-Sha256: 
 e5623b1906c7ee5ac03d4d6f932e856b1789be41a0408d08311b560f76e2e4fe 2277 wvstreams_4.6.1-3.dsc
 64c62c3ed7b31f3cad47ed625476840204de644d9c737cfca3d7405c8c835e69 14576 wvstreams_4.6.1-3.debian.tar.gz
 7df539430fd2754b1c6f5b93cee98ac1b8df20c98434ac5086d428b27e77534d 256846 libwvstreams4.6-base_4.6.1-3_amd64.deb
 90d0653fe7dec42c9a41c20387a24c36175bb78c2c37aa8904372b904f04658a 503884 libwvstreams4.6-extras_4.6.1-3_amd64.deb
 58eb2bf95edaf9b94e5f97bca733e487f80cedfc7d48de379de6967b3c1596b4 179552 libuniconf4.6_4.6.1-3_amd64.deb
 cd2d721fbd74022d2c5f575275da1ec756f5b6cebf7346ecd0377a0af4c9d050 69812 libwvstreams4.6-qt_4.6.1-3_amd64.deb
 2f80f875905c8198fd508645529654757092d099374439585a2d8d64e9826a1c 1571246 libwvstreams-dev_4.6.1-3_amd64.deb
 caecbbef53318230a4aca43d0ffdecc03a6988de7a1b697fb3c3a98e42fabec5 74638 uniconfd_4.6.1-3_amd64.deb
 8803f0364276c9e29b18b1cfde095ac64831267d8c6702af976bd798e8dab65a 67528 uniconf-tools_4.6.1-3_amd64.deb
 9cc6ac4fe712e0443ae7238d182391f6c4317a0bf61270a827681b207b2db968 5255042 libwvstreams4.6-doc_4.6.1-3_all.deb
Files: 
 7495918a61e9ae8de094c9a21b46feb0 2277 libs optional wvstreams_4.6.1-3.dsc
 c07475bbdb744c47503c4efbe81c96b0 14576 libs optional wvstreams_4.6.1-3.debian.tar.gz
 0036f529ae113901269ad570430da9ab 256846 libs optional libwvstreams4.6-base_4.6.1-3_amd64.deb
 19ae6c4b2513bdd18d40c7b4ec0b459f 503884 libs optional libwvstreams4.6-extras_4.6.1-3_amd64.deb
 f12ba25c4cdec7e8d982eeedd64fe08c 179552 libs optional libuniconf4.6_4.6.1-3_amd64.deb
 16e1d90c4f58b42b02aa4953399943f1 69812 libs optional libwvstreams4.6-qt_4.6.1-3_amd64.deb
 3b1b30d6364cb8cfb6baf7cada0876f3 1571246 libdevel optional libwvstreams-dev_4.6.1-3_amd64.deb
 4195d11bb5c3d8250dc29a3dd86c200a 74638 utils optional uniconfd_4.6.1-3_amd64.deb
 5b6f7a132efe81f08dbd8498104af14b 67528 utils optional uniconf-tools_4.6.1-3_amd64.deb
 bba8bc0c0e0b49744396d81c73e67f3e 5255042 doc optional libwvstreams4.6-doc_4.6.1-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPkUZIAAoJELs6aAGGSaoGdj4QAKinRFS6X9zeUw9zx9njzKM7
rc/gDD8vKtB3IALwfutloLrepUjAgyQVX7VGeNVZ4q6tXUmR4InhWu/TiL5Fq8UQ
22DdfX1APRRB+FHzJaDyvB22lTGE2oEsnHrx9FcTrTrLCLZUKvdwNfxHGvEcA317
kin1X4gEuc51ucaqQzgP4g6mjFqeQFwy+rEFUYpyO9lQ0qZAL5v7T4Ka9/NzzZU4
M/y5VnGI0kWB7QpgAJIy/1sOXr+KhrqJ3aIl1cgqFBcQuUO0QW5I6suZlnTyRZyf
+o22MtpN6K/ZSY+z4inb2C1awu0KYkjeQiTA3F82AEzvQPEZfein9rS4Hlv3wEuN
B6ie641xTaGo83OykN9L8lbc0krzCgkWFKDfPZarqFJQdOSpQEjZlR+LINj8lprw
PxvKOlpJ8iAMiUY4gsLeIUuWt4P+GDwOYwd0n4j41Qm8LQan0PuyRhaz8wmMdpzx
H8tK8Ad44e+8HpM3FFKyJwnro5L8HoyeJ0v36x4AEdbwlxcI/7m/pLU+kUFoM2pJ
y5Dv9FQhITAmY/yBn2+eICtHOOoyM2O+VW6OkfW6+6+q3V7p2wp90+oLvcuM33JJ
JQo6etdaz7k8CeSRGbKWm/BT8ScXW7X3fCIw7Liqxstt3RPXUqAbLZvfmLjbkDNI
62WmB27mZXYUD0d0r+7d
=jeoy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2012 07:35:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 20:07:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.